org.apache.sling.launchpad.installer.impl

## Class LaunchpadConfigInstaller

- java.lang.Object
- - org.apache.sling.launchpad.installer.impl.LaunchpadConfigInstaller

    public class LaunchpadConfigInstaller
    extends Object

This class scans the launchpad resources folder and provides the artifacts to the OSGi installer.

### Method Summary

Methods
`static void` `install(org.apache.sling.installer.api.OsgiInstaller installer, org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider, Set<String> activeRunModes)` Install artifacts

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### install

    public static void install(org.apache.sling.installer.api.OsgiInstaller installer,
               org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider,
               Set<String> activeRunModes)

Install artifacts